{{page-title @model.space.name " | " (capitalize (t "edit"))}}

{{#if this.fastboot.isFastBoot}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::EditManager as |editManager|>
      <Manage::SideBar class="order-last flex-shrink-1">
        <Manage::Visibility @model={{@model.space}} @teams={{@model.teams}} @hasIsDefault={{this.user.isAdmin}}
          @editablePanel={{editManager.editableField}} @isAdmin={{this.user.isAdmin}} @areAllShowing={{this.allTeams}}
          @onChangeAll={{this.changeAll}} @saveIsPublic={{fn this.saveField "visibility.isPublic"}}
          @saveIsDefault={{fn this.saveField "visibility.isDefault"}} @saveTeam={{fn this.saveField "visibility.team"}}
          @onEdit={{editManager.edit}} @onCancel={{editManager.cancel}} />

        {{#if this.user.isAdmin}}
          <Manage::Toggle @title={{t "allow domain change"}} @id={{"toggle-allow-domain-change"}}
            @disabled={{@disabled}} @value={{@model.space.allowDomainChange}}
            @onSave={{fn this.saveField "allowDomainChange"}} @savingField={{@savingPanel}} />
          <Manage::Toggle @title={{t "is template"}} @id={{"toggle-is-template"}} @disabled={{@disabled}}
            @value={{@model.space.isTemplate}} @onSave={{fn this.saveField "isTemplate"}}
            @savingField={{@savingPanel}} />
        {{/if}}

        <Manage::ModelInfo @editablePanel={{editManager.editableField}} @model={{@model.space}}
          @disabled={{this.disabled}} @onSave={{fn this.saveField "info"}} @onCancel={{editManager.cancel}}
          @onEdit={{editManager.edit}} />
      </Manage::SideBar>

      <Manage::Container @title={{capitalize (t "edit space")}} @breadcrumbs={{this.breadcrumbs}}>
        <:content>
          <Manage::Row @name="name">
            <Manage::Text @title={{t "name"}} @isMainValue={{true}} @value={{@model.space.name}}
              @emptyError={{capitalize (t "this space has no name")}} @editablePanel={{editManager.editableField}}
              @onSave={{fn this.saveField "name"}} @onEdit={{editManager.edit}} @onCancel={{editManager.cancel}} />
          </Manage::Row>

          <Manage::Row @name="description">
            <Manage::Text @title={{t "description"}} @isMainValue={{true}} @value={{@model.space.description}}
              @emptyError={{capitalize (t "this space has no description")}} @editablePanel={{editManager.editableField}}
              @onSave={{fn this.saveField "description"}} @onEdit={{editManager.edit}} @onCancel={{editManager.cancel}} />
          </Manage::Row>

          <Manage::Row @name="landing-page">
            <Manage::PageSelect @title={{t "landing page"}} @isMainValue={{true}} @list={{@model.pages}}
              @required={{true}} @value={{@model.space.landingPageId}} @isString={{true}}
              @editablePanel={{editManager.editableField}} @onSave={{fn this.saveField "landingPageId"}}
              @onEdit={{editManager.edit}} @onCancel={{editManager.cancel}} />
          </Manage::Row>

          <Manage::Row @name="domain">
            <Manage::Domain @value={{@model.space}} @editablePanel={{editManager.editableField}}
              @onVerify={{this.verifyDomain}} @onCancel={{editManager.cancel}} @onEdit={{editManager.edit}}
              @onSave={{fn this.saveField "domain"}} />
          </Manage::Row>

          <div class="row">
            <div class="col">
              <Manage::Row @name="logo">
                <Manage::Cover @title={{t "logo"}} @model="Space" @modelId={{@model.space.id}}
                  @editablePanel={{editManager.editableField}} @onSave={{fn this.saveField "logo"}}
                  @onCancel={{editManager.cancel}} @onEdit={{editManager.edit}} @value={{@model.space.logo}} />
              </Manage::Row>
            </div>

            <div class="col">
              <Manage::Row @name="square logo">
                <Manage::Cover @title={{t "square logo"}} @model="Space" @modelId={{@model.space.id}}
                  @editablePanel={{editManager.editableField}} @onSave={{fn this.saveField "logoSquare"}}
                  @onCancel={{editManager.cancel}} @onEdit={{editManager.edit}} @value={{@model.space.logoSquare}} />
              </Manage::Row>
            </div>

            <div class="col">
              <Manage::Row @name="cover">
                <Manage::Cover @title={{t "cover"}} @model="Space" @modelId={{@model.space.id}}
                  @editablePanel={{editManager.editableField}} @onSave={{fn this.saveField "cover"}}
                  @onCancel={{editManager.cancel}} @onEdit={{editManager.edit}} @value={{@model.space.cover}} />
              </Manage::Row>
            </div>
          </div>

          <Manage::Row @name="color-palette">
            <Manage::ColorPalette @title={{t "color palette"}} @onSave={{fn this.saveField "colorPalette"}}
              @onEdit={{editManager.edit}} @onCancel={{editManager.cancel}} @value={{@model.space.colorPalette}}
              @editablePanel={{editManager.editableField}} />
          </Manage::Row>

          <Manage::Row @name="font-styles">
            <Manage::FontStyles @title={{t "font styles"}} @onSave={{fn this.saveField "fontStyles"}}
              @onEdit={{editManager.edit}} @onCancel={{editManager.cancel}} @value={{@model.space.fontStyles}}
              @editablePanel={{editManager.editableField}} />
          </Manage::Row>

          <Manage::Row @name="default-models">
            <Manage::DefaultModels @title={{t "default models"}} @onSave={{fn this.saveField "defaultModels"}}
              @onEdit={{editManager.edit}} @onCancel={{editManager.cancel}} @value={{@model.space.defaultModels}}
              @team={{@model.space.visibility.team}} @editablePanel={{editManager.editableField}} />
          </Manage::Row>

          <Manage::Row @name="search-options">
            <Manage::SearchOptions @title={{t "search options"}} @value={{@model.space.searchOptions}}
              @editablePanel={{editManager.editableField}} @onCancel={{editManager.cancel}} @onEdit={{editManager.edit}}
              @onSave={{fn this.saveField "searchOptions"}} />
          </Manage::Row>

          <Manage::Row @name="redirects">
            <Manage::LinkMap @title={{t "redirects"}} @value={{@model.space.redirects}}
              @editablePanel={{editManager.editableField}} @onCancel={{editManager.cancel}} @onEdit={{editManager.edit}}
              @space={{@model.space}} @onSave={{fn this.saveField "redirects"}} />
          </Manage::Row>

          <Manage::Row @name="attributions">
            <Manage::AttributionsList @list={{@model.space.attributions}} @editablePanel={{editManager.editableField}}
              @onCancel={{editManager.cancel}} @onEdit={{editManager.edit}}
              @onSave={{fn this.saveField "attributions"}} />
          </Manage::Row>

          <Manage::Row @name="analytics">
            <Manage::Analytics @title={{t "analytics"}} @value={{@model.space}}
              @editablePanel={{editManager.editableField}} @onCancel={{editManager.cancel}} @onEdit={{editManager.edit}}
              @onSave={{this.saveAnalytics}} />
          </Manage::Row>

          <Manage::Row @name="locale">
            <Manage::Language @title={{t "manage-section.language"}} @value={{@model.space.locale}}
              @editablePanel={{editManager.editableField}} @onCancel={{editManager.cancel}} @onEdit={{editManager.edit}}
              @onSave={{fn this.saveField "locale"}} />
          </Manage::Row>
        </:content>
      </Manage::Container>
    </Manage::EditManager>
  </div>
{{/if}}